<template>
  <v-card>
    <v-card-title>System Health</v-card-title>
    <v-card-text>
      <v-progress-circular :value="systemHealth" color="blue">{{ systemHealth }}%</v-progress-circular>
      <p>Last Checked: {{ lastHealthCheck }}</p>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      systemHealth: 90, // Example value
      lastHealthCheck: 'A few seconds ago'
    };
  }
};
</script>













<template>
  <v-card>
    <v-card-title>
      <v-icon large left>mdi-heart-pulse</v-icon>
      System Health
    </v-card-title>

    <v-card-text>
      <v-progress-circular rotate="-90" size="100" width="15" :value="systemHealth" color="blue">
        {{ systemHealth }}%
      </v-progress-circular>

      <v-chip class="ma-2" color="green" label outlined v-if="systemStatus === 'Healthy'">
        <v-icon left>mdi-check-circle</v-icon>
        Healthy
      </v-chip>

      <v-chip class="ma-2" color="red" label outlined v-if="systemStatus === 'Critical'">
        <v-icon left>mdi-alert-circle</v-icon>
        Critical
      </v-chip>

      <v-timeline>
        <v-timeline-item v-for="event in healthEvents" :key="event.time" color="teal">
          <v-icon slot="icon">mdi-clock-time-four-outline</v-icon>
          <strong>{{ event.time }}</strong>
          <div>{{ event.message }}</div>
        </v-timeline-item>
      </v-timeline>
    </v-card-text>

    <v-card-actions>
      <v-btn color="primary" @click="refreshHealthStatus">
        Refresh
        <v-icon right>mdi-refresh</v-icon>
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      systemHealth: 90, // Example value
      systemStatus: 'Healthy', // 'Healthy' or 'Critical'
      healthEvents: [
        // Example events, replace with actual data
        { time: '10:30 AM', message: 'Memory usage at 70%' },
        { time: '09:45 AM', message: 'Disk space at 80%' },
        // ...
      ],
    };
  },
  methods: {
    refreshHealthStatus() {
      // Implement logic to refresh system health data
    },
  },
};
</script>

<style scoped>
/* Custom styles */
</style>
